Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.cache.support
Class NoOpCacheManager

    java.lang.Object
      org.springframework.cache.support.NoOpCacheManager

All Implemented Interfaces:
  CacheManager

    public class NoOpCacheManager

extends java.lang.Object
implements CacheManager

A basic, no operation `CacheManager` implementation suitable for disabling caching, typically used for backing cache declarations without an actual backing store.

Will simply accept any items into the cache not actually storing them.

Since:
  3.1
Author:
  Costin Leau
See Also:
  `CompositeCacheManager`

Constructor Summary
`NoOpCacheManager()`

Method Summary
`Cache` | `getCache(java.lang.String name)` Return the cache associated with the given name.
`java.util.Collection<java.lang.String>` | `getCacheNames()` Return a collection of the caches known by this cache manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpCacheManager

    public NoOpCacheManager()

Method Detail

### getCache

    public Cache getCache(java.lang.String name)

  Return the cache associated with the given name. This implementation always returns a `Cache` implementation that will not store items. Additionally, the request cache will be remembered by the manager for consistency.

  Specified by:
    `getCache` in interface `CacheManager`
  Parameters:
    `name` - cache identifier (must not be `null`)
  Returns:
    associated cache, or `null` if none is found

### getCacheNames

    public java.util.Collection<java.lang.String> getCacheNames()

  Return a collection of the caches known by this cache manager. This implementation returns the name of the caches previously requested.

  Specified by:
    `getCacheNames` in interface `CacheManager`
  Returns:
    names of caches known by the cache manager.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD